#
# spec file for package python-marathon
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-marathon
Version:        0.12.0
Release:        bp156.3.2
Summary:        Marathon Client Library
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thefactory/marathon-python
Source:         https://files.pythonhosted.org/packages/source/m/marathon/marathon-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.4.0
Requires:       python-requests-toolbelt >= 0.4.0
BuildArch:      noarch
%python_subpackages

%description
Python interface to the Mesos Marathon REST API.

%prep
%setup -q -n marathon-%{version}

%build
%python_build

%install
%python_install

%check
# requires Docker and Marathon server installed there

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Mar  5 2020 pgajdos@suse.com
- version update to 0.12.0
    Downloading Log For App #265
    Always create TZ-aware datetime objects. (also drop support for python 2) #267 (EvanKrall)
    Compatible with event stream redirect behavior. #262 (fengyehong)
* Wed Mar 27 2019 pgajdos@suse.com
- version update to 0.11.0
  * Added region and zone members to task model. #260
  * Exception #259
  * SSE SSL authentication not supported #247
  * Lack of support for container.networks #243
  * __init__() got an unexpected keyword argument 'port_mappings' #237
  * Wrong health check object generated for COMMAND protocol #222
  * Add support for mesos 1.6 #255
  * Possibility for send the full json object on create #252
  * events: add a few attributes #251
  * install-marathon.sh: do not remove oracle-java7-installer #250
  * MarathonClient: set verify when using sse_session #248
  * add reset delay api #246
  * fixes for issue 244 #245
  * Test against 1.4.11 #240
  * fix isuuse-238 #239 (yudong2015)
  * Test against 1.4.10 instead of 1.4.9 #236
  * make models.info compatible with 1.4.9 #233
  * Fix health check 'command' #231
  * Feature/marathon constraint model improvements #229
  * Removes id validation from MarathonGroup() #228
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  2 2018 tchvatal@suse.com
- Fix requires
* Thu Jul 13 2017 tbechtold@suse.com
- Initial packaging (version 0.9.0)
